using System;
using System.Collections.Generic;
using UnityEngine;

[Serializable]
public class AMCameraSwitcherKey : AMKey
{
	public bool setCamera(Camera camera)
	{
		if (camera != this.camera)
		{
			this.camera = camera;
			return true;
		}
		return false;
	}

	public bool setColor(Color color)
	{
		if (color != this.color)
		{
			this.color = color;
			return true;
		}
		return false;
	}

	public bool setType(int type)
	{
		if (type != this.type)
		{
			this.type = type;
			return true;
		}
		return false;
	}

	public bool setStill(bool still)
	{
		if (still != this.still)
		{
			this.still = still;
			return true;
		}
		return false;
	}

	public bool setCameraFadeType(int cameraFadeType)
	{
		if (cameraFadeType != this.cameraFadeType)
		{
			this.cameraFadeType = cameraFadeType;
			return true;
		}
		return false;
	}

	public override AMKey CreateClone()
	{
		AMCameraSwitcherKey amcameraSwitcherKey = ScriptableObject.CreateInstance<AMCameraSwitcherKey>();
		amcameraSwitcherKey.frame = this.frame;
		amcameraSwitcherKey.type = this.type;
		amcameraSwitcherKey.camera = this.camera;
		amcameraSwitcherKey.color = this.color;
		amcameraSwitcherKey.cameraFadeType = this.cameraFadeType;
		amcameraSwitcherKey.cameraFadeParameters = new List<float>(this.cameraFadeParameters);
		amcameraSwitcherKey.irisShape = this.irisShape;
		amcameraSwitcherKey.still = this.still;
		amcameraSwitcherKey.easeType = this.easeType;
		amcameraSwitcherKey.customEase = new List<float>(this.customEase);
		return amcameraSwitcherKey;
	}

	public int type;

	public Camera camera;

	public Color color;

	public int cameraFadeType;

	public List<float> cameraFadeParameters = new List<float>();

	public Texture2D irisShape;

	public bool still;
}
